/*
 * CoverFinder - Find and download cover images from Amazon
 * Copyright (C) 2007 - 2008 - Sven Salzwedel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
#include "cf-search-result.h"

static void cf_search_result_init (gpointer g_class)
{
	static gboolean initialized = FALSE;

	if (!initialized) {
		initialized = TRUE;
	}
}

GType cf_search_result_get_type (void)
{
	static GType type = 0;
	if (type == 0) {
		static const GTypeInfo info = { sizeof(CfSearchResultInterface),
			cf_search_result_init, NULL, NULL, NULL, NULL, 0, 0, NULL };
		type = g_type_register_static (G_TYPE_INTERFACE, "CfSearchResult",
			&info, 0);
	}
	return type;
}

gchar *cf_search_result_get_description (CfSearchResult *self)
{
	return CF_SEARCH_RESULT_GET_INTERFACE (self)->get_description (self);
}

GFile *cf_search_result_get_image (CfSearchResult *self)
{
	return CF_SEARCH_RESULT_GET_INTERFACE (self)->get_image (self);
}
