/*
 * CoverFinder - Find and download cover images from Amazon
 * Copyright (C) 2007 - 2008 - Sven Salzwedel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef _CF_SEARCH
#define _CF_SEARCH

#include <glib-object.h>

G_BEGIN_DECLS

#define CF_TYPE_SEARCH cf_search_get_type()

#define CF_SEARCH(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CF_TYPE_SEARCH, CfSearch))

#define CF_SEARCH_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), CF_TYPE_SEARCH, CfSearchClass))

#define CF_IS_SEARCH(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CF_TYPE_SEARCH))

#define CF_IS_SEARCH_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), CF_TYPE_SEARCH))

#define CF_SEARCH_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), CF_TYPE_SEARCH, CfSearchClass))

typedef struct
{
	GObject parent;
	gchar *keywords;
	gchar *artist;
	gchar *title;

	gint search_start_id;
	gint search_result_add_id;
} CfSearch;

typedef struct
{
	GObjectClass parent_class;
} CfSearchClass;

GType cf_search_get_type (void);

CfSearch* cf_search_new (void);

G_END_DECLS

#endif /* _CF_SEARCH */
